libencode-perl_2.63-1+deb8u1_amd64.deb


Advertisement

Description

libencode-perl - module providing interfaces between Perl's strings and the system

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libencode-perl
Package version 2.63
Package release 1+deb8u1
Package architecture amd64
Package type deb
Installed size 9.96 KB
Download size 1.34 MB
Official Mirror ftp.br.debian.org
The Encode module provides the interfaces between Perl's strings and the
rest of the system.
When Perl is processing "binary data", the programmer wants Perl to process
"sequences of bytes". This is not a problem for Perl - as a byte has 256
possible values, it easily fits in Perl's much larger "logical character".
Encodes a string from Perl's internal form into ENCODING and returns a
sequence of octets.

Alternatives

Package Version Architecture Repository
libencode-perl_2.63-1+deb8u1_i386.deb 2.63 i386 Debian Main
libencode-perl - - -

Requires

Name Value
libc6 >= 2.14
perl >= 5.20.2-3+deb8u1
perlapi-5.20.2 -

Download

Type URL
Binary Package libencode-perl_2.63-1+deb8u1_amd64.deb
Source Package libencode-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libencode-perl deb package:
    # sudo apt-get install libencode-perl

Files

Path
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/encoding.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/Alias.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/Byte.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/CJKConstants.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/CN.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/Changes.e2x
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/Config.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/ConfigLocal_PM.e2x
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/EBCDIC.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/Encoder.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/Encoding.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/GSM0338.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/Guess.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/JP.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/KR.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/Makefile_PL.e2x
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/PerlIO.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/README.e2x
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/Supported.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/Symbol.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/TW.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/Unicode.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/_PM.e2x
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/_T.e2x
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/encode.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/CN/HZ.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/JP/H2Z.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/JP/JIS7.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/KR/2022_KR.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/MIME/Header.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/MIME/Name.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/MIME/Header/ISO_2022_JP.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Encode/Unicode/UTF7.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Encode/Encode.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Encode/Byte/Byte.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Encode/CN/CN.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Encode/EBCDIC/EBCDIC.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Encode/JP/JP.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Encode/KR/KR.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Encode/Symbol/Symbol.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Encode/TW/TW.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Encode/Unicode/Unicode.so
/usr/share/doc/libencode-perl/changelog.Debian.gz
/usr/share/doc/libencode-perl/changelog.gz
/usr/share/doc/libencode-perl/copyright
/usr/share/lintian/overrides/libencode-perl
/usr/share/man/man3/Encode.3pm.gz
/usr/share/man/man3/Encode::Alias.3pm.gz
/usr/share/man/man3/Encode::CJKConstants.3pm.gz
/usr/share/man/man3/Encode::CN::HZ.3pm.gz
/usr/share/man/man3/Encode::Config.3pm.gz
/usr/share/man/man3/Encode::Encoder.3pm.gz
/usr/share/man/man3/Encode::Encoding.3pm.gz
/usr/share/man/man3/Encode::GSM0338.3pm.gz
/usr/share/man/man3/Encode::Guess.3pm.gz
/usr/share/man/man3/Encode::JP::H2Z.3pm.gz
/usr/share/man/man3/Encode::JP::JIS7.3pm.gz
/usr/share/man/man3/Encode::KR::2022_KR.3pm.gz
/usr/share/man/man3/Encode::MIME::Header.3pm.gz
/usr/share/man/man3/Encode::MIME::Name.3pm.gz
/usr/share/man/man3/Encode::PerlIO.3pm.gz
/usr/share/man/man3/Encode::Supported.3pm.gz
/usr/share/man/man3/Encode::Unicode::UTF7.3pm.gz
/usr/share/man/man3/encoding.3pm.gz

Changelog

2015-12-13 - gregor herrmann <gregoa@debian.org>
libencode-perl (2.63-1+deb8u1) jessie; urgency=medium
* Add patch dont-die-without-bom.patch.
The decode() routine died when no BOM was found. This patch, backported
from upstream's 2.77 release, changes the behaviour to fall back to BE
according to RFC2781 and the Unicode Standard version 8.0.
(Closes: #799086)
2014-10-20 - gregor herrmann <gregoa@debian.org>
libencode-perl (2.63-1) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ gregor herrmann ]
* Add debian/upstream/metadata
* Import upstream version 2.63
* Update years of upstream copyright.
* Mark package as autopkgtest-able.
* Declare compliance with Debian Policy 3.9.6.
2014-06-06 - gregor herrmann <gregoa@debian.org>
libencode-perl (2.62-1) unstable; urgency=medium
* New upstream release.
* Update comment in lintian-override.
2014-05-11 - gregor herrmann <gregoa@debian.org>
libencode-perl (2.60-1) unstable; urgency=medium
* Drop xz compression for {binary,source} package, set by default by
dpkg since 1.17.{0,6}.
* Strip trailing slash from metacpan URLs.
* New upstream release.
* Update years of packaging copyright.
2014-01-12 - Salvatore Bonaccorso <carnil@debian.org>
libencode-perl (2.57-1) unstable; urgency=medium
* Team upload.
* Imported Upstream version 2.57
* Drop Pre-Depends on dpkg (>= 1.15.6~)
2013-12-23 - Florian Schlichting <fsfs@debian.org>
libencode-perl (2.56-1) unstable; urgency=medium
* Import Upstream version 2.56
* Declare compliance with Debian Policy 3.9.5
2013-09-20 - Florian Schlichting <fsfs@debian.org>
libencode-perl (2.55-1) unstable; urgency=low
* Import Upstream version 2.55
2013-09-08 - Florian Schlichting <fsfs@debian.org>
libencode-perl (2.54-1) unstable; urgency=low
* Import Upstream version 2.54
2013-08-16 - Florian Schlichting <fsfs@debian.org>
libencode-perl (2.52-1) unstable; urgency=low
* Import Upstream version 2.52.
* Add copyright paragraph for data files in ucm/.
* Update years of upstream copyright.
* Hardening detected correctly, drop lintian override.
* Drop override_dh_builddeb, xz compression is the default now.
* Add myself to uploaders and copyright.
2013-04-30 - Xavier Guimard <x.guimard@free.fr>
libencode-perl (2.51-1) unstable; urgency=low
* Imported Upstream version 2.51

See Also

Package Description
libend-perl_2009110401-1_all.deb Perl interface to execute code at end of scope
libenet-dev_1.3.12+ds-2_amd64.deb thin network communication layer on top of UDP - headers
libenet-doc_1.3.12+ds-2_all.deb thin network communication layer on top of UDP - documentation
libenet7_1.3.12+ds-2_amd64.deb thin network communication layer on top of UDP
libengine-pkcs11-openssl_0.1.8-4_amd64.deb OpenSSL engine for PKCS#11 modules
libenginio1-dev_5.3.2-2_amd64.deb Qt 5 Enginio development files
libenginio1_5.3.2-2_amd64.deb Qt 5 Enginio library
libenum-perl_1.10-1_all.deb perl module for sets of ordered constants like enums in C
libenumerate-camlp4-dev_111.08.00-1_amd64.deb OCaml quotation expanders for enumerating finite types
libenv-path-perl_0.19-1_all.deb Perl module implementing advanced operations on path variables
libenv-ps1-perl_0.06-1_all.deb prompt string formatter
libenv-sanctify-perl_1.12-1_all.deb Perl module providing lexically scoped environment (%ENV)
libeot-dev_0.01-3_amd64.deb Library for parsing/converting Embedded OpenType files -- development
libeot0_0.01-3_amd64.deb Library for parsing/converting Embedded OpenType files
libepc-1.0-3_0.4.4-3_amd64.deb Easy Publish and Consume library - shared libraries
Advertisement
Advertisement